# -*- coding: utf-8 -*-
"""
Created on Sat Mar 19 19:48:48 2022

@author: Sassa
"""
# Graph maker for input data in arrays x, y

import matplotlib
 
matplotlib.use('Agg') # musi byt pred importem pyplot
matplotlib.use('PDF') # musi byt pred importem pyplot
 
import matplotlib.pyplot as graph
from matplotlib.font_manager import FontProperties

font = FontProperties()
font.set_style('italic')
font.size=20

def gr1(x,y,s):
  graph.figure(figsize=(10,6), dpi=120)
  matplotlib.rcParams['font.size']=20
  graph.grid(True)
  graph.title("Solution to FDE IVP",fontsize=20)
  graph.xlabel("t",fontproperties=font)
  graph.ylabel("y",rotation=0, labelpad=15,fontproperties=font)
 # graph.tick_params(axis='y', rotation=70)
  graph.plot(x, y, 'r-')
  graph.savefig(s, dpi=120);

def gr2(x,y):
   graph.figure(figsize=(10,6), dpi=120)
   matplotlib.rcParams['font.size']=20
   graph.grid(True)
   graph.title("Solution to FDE IVP",fontsize=20)
   graph.xlabel("t",fontsize=20)
   graph.ylabel("y",fontsize=20)
   graph.plot(x, y, 'b-')
   graph.savefig('example2.pdf', dpi=120);
  
 
def gr3(x,y):
     graph.figure(figsize=(10,6), dpi=120)
     matplotlib.rcParams['font.size']=20
     graph.grid(True)
     graph.title("Solution to FDE IVP",fontsize=20)
     graph.xlabel("t",fontsize=20)
     graph.ylabel("y",fontsize=20)
     graph.plot(x, y, 'g-')
     graph.savefig('example2.pdf', dpi=120);
  
def gr2f(x,y,z):
    graph.figure(figsize=(10,6), dpi=120)
    matplotlib.rcParams['font.size']=20
    graph.grid(True)
    graph.title("Solution to FDE IVP",fontsize=20)
    graph.xlabel("t",fontsize=20)
    graph.ylabel("y",fontsize=20)
    graph.plot(x, y, 'r-',x, z, 'b--',linewidth=3)
    graph.savefig('example2fun.pdf', dpi=120);  

def gr6f(x,y1,y2,y3,y4,y5,y6):
    graph.figure(figsize=(10,6), dpi=120)
    matplotlib.rcParams['font.size']=20
    graph.grid(True)
    graph.title("Solution to FDE IVP",fontsize=20)
    graph.xlabel("t",fontsize=20)
    graph.ylabel("y",fontsize=20)
    graph.plot(x, y1, 'b-',x, y2, 'y--',x, y3, 'g--',x, y4, 'm--',x, y5, 'c--',x, y6, 'r--',linewidth=3)
    graph.savefig('example6fun.pdf', dpi=120);      